GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
geos::operation::relate::EdgeEndBuilder Class Reference

Computes the geomgraph::EdgeEnd objects which arise from a noded geomgraph::Edge. More...

`#include <EdgeEndBuilder.h>`

## Public Member Functions
std::vector < geomgraph::EdgeEnd * > * | computeEdgeEnds (std::vector< geomgraph::Edge * > *edges)
void | computeEdgeEnds (geomgraph::Edge *edge, std::vector< geomgraph::EdgeEnd * > *l)

## Protected Member Functions
void | createEdgeEndForPrev (geomgraph::Edge *edge, std::vector< geomgraph::EdgeEnd * > *l, geomgraph::EdgeIntersection *eiCurr, geomgraph::EdgeIntersection *eiPrev)
void | createEdgeEndForNext (geomgraph::Edge *edge, std::vector< geomgraph::EdgeEnd * > *l, geomgraph::EdgeIntersection *eiCurr, geomgraph::EdgeIntersection *eiNext)

## Detailed Description

Computes the geomgraph::EdgeEnd objects which arise from a noded geomgraph::Edge.

The documentation for this class was generated from the following file:

- EdgeEndBuilder.h